Announcement

Collapse
No announcement yet.

Trying to update from 21.10 to 22.04 but it fails

Collapse
This is a sticky topic.
X
X
 
  • Filter
  • Time
  • Show
Clear All
new posts

    Trying to update from 21.10 to 22.04 but it fails

    Hi, I'm trying to update from 21.10 to 22.04 with this command but it fails like this:

    jorrit@jorrit-Raider:~/Downloads$ sudo apt update && sudo apt full-upgrade
    Ign:1 http://archive.ubuntu.com/ubuntu impish InRelease
    Ign:2 http://archive.ubuntu.com/ubuntu impish-updates InRelease
    Hit:3 http://ppa.launchpad.net/linuxuprising/java/ubuntu impish InRelease
    Hit:4 https://ocean.surfshark.com/debian stretch InRelease
    Ign:5 http://archive.ubuntu.com/ubuntu impish-backports InRelease
    Hit:6 https://download.mono-project.com/repo/ubuntu stable-focal InRelease
    Hit:7 https://repo.steampowered.com/steam stable InRelease
    Ign:8 http://archive.ubuntu.com/ubuntu impish-security InRelease
    Err:9 http://archive.ubuntu.com/ubuntu impish Release
    404 Not Found [IP: 2620:2d:4000:1::19 80]
    Err:10 http://archive.ubuntu.com/ubuntu impish-updates Release
    404 Not Found [IP: 2620:2d:4000:1::19 80]
    Err:11 http://archive.ubuntu.com/ubuntu impish-backports Release
    404 Not Found [IP: 2620:2d:4000:1::19 80]
    Hit:12 https://dl.google.com/linux/chrome/deb stable InRelease
    Err:13 http://archive.ubuntu.com/ubuntu impish-security Release
    404 Not Found [IP: 2620:2d:4000:1::19 80]
    Reading package lists... Done
    E: The repository 'http://archive.ubuntu.com/ubuntu impish Release' does not have a Release file.
    N: Updating from such a repository can't be done securely, and is therefore disabled by default.
    N: See apt-secure(8) manpage for repository creation and user configuration details.
    E: The repository 'http://archive.ubuntu.com/ubuntu impish-updates Release' does not have a Release file.
    N: Updating from such a repository can't be done securely, and is therefore disabled by default.
    N: See apt-secure(8) manpage for repository creation and user configuration details.
    E: The repository 'http://archive.ubuntu.com/ubuntu impish-backports Release' does not have a Release file.
    N: Updating from such a repository can't be done securely, and is therefore disabled by default.
    N: See apt-secure(8) manpage for repository creation and user configuration details.
    E: The repository 'http://archive.ubuntu.com/ubuntu impish-security Release' does not have a Release file.
    N: Updating from such a repository can't be done securely, and is therefore disabled by default.
    N: See apt-secure(8) manpage for repository creation and user configuration details.
    N: Skipping acquire of configured file 'main/binary-i386/Packages' as repository 'https://download.mono-project.com/repo/ubuntu stable-focal InRelease' doesn't support architecture 'i386'
    Any clue what might be wrong and how I can fix this? Thanks

    #2
    See https://www.kubuntuforums.net/forum/...-download-page
    Using Kubuntu Linux since March 23, 2007
    "It is a capital mistake to theorize before one has data." - Sherlock Holme

    Comment


      #3
      21.10 reached End of Life last month, so you have to do some extra steps to point apt to where the software archive has been moved to.

      Basically, you need to edit your /etc/apt/sources.list file and change all instances of archive.ubuntu.com to old-releases.ubuntu.com and try upgrading to 22.04 again.

      You use kate or Kwrite to do this, or your editor of choice.

      Comment

      Working...
      X